module Ubc.Parse
( parseScript )
where

import Text.Parsec ( runPT, ParseError, SourceName, ParsecT )


import qualified Ubc.Parse.ParserState as ParserState
import qualified Ubc.Parse.Config as Config

parseScript :: Monad m => SourceName -> String -> m (Either ParseError ())
parseScript = runPT topLevelParser (ParserState.initialState Config.defaultConfig)

topLevelParser :: ParsecT s u m ()
topLevelParser = return ()
