module Ubc.Parse.Scope
( Scope(..)
, expectScopeStruct
)
where

import Ubc.Parse.Scope.FileScope (FileScope)
import Ubc.Parse.Scope.StructScope (StructScope)

data Scope = 
          ScopeFile FileScope
        | ScopeStruct StructScope

expectScopeStruct :: Scope -> StructScope
expectScopeStruct (ScopeStruct s) = s
expectScopeStruct _               = error "Internal Error: Top Scope is not Scope Struct"
