module Ubc.Parse.Scope.StructScope
( StructScope(..)
, modifyVariables
)
where

import Ubc.Parse.VariableType (VariableType)

type VariableName = String

data StructScope = StructScope
        { structName :: String
        , variables :: [(VariableName, VariableType)]
        }

modifyVariables :: ([(VariableName, VariableType)] -> [(VariableName, VariableType)]) -> StructScope -> StructScope
modifyVariables f scope@StructScope{variables = oldVariables} = scope{variables = newVariables}
        where
                newVariables = f oldVariables
